TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class RefSegmentation

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class RefSegmentation

    java.lang.Object
      |
      +--Segmentation
            |
            +--RefSegmentation

public class RefSegmentation
extends Segmentation

This class represents a reference segmentation related to a video file used in shot boundary detection task programs of TREC 2001.

Field Summary
`protected int` | `totalFrameNumber` The number of frames of the video.

Fields inherited from class Segmentation
`transitionSet, videoName`

Constructor Summary
`RefSegmentation(java.lang.String videoName, java.util.Comparator orderingComparator, int totalFrameNumber)` Constructs Segmentation object with an ordering comparator for its set of transitions.

Method Summary
`comparisonResult` | `processComparison(java.lang.String sysId, Segmentation systemSegmentation)` Process the comparison between the current assumed reference segmentation and the given system segmentation.

Methods inherited from class Segmentation
`add, getCutFrameCount, getElements, getTransitionCount, getVideoName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### totalFrameNumber

    protected int totalFrameNumber

  The number of frames of the video.
  See Also:
    `Segmentation.getElements()`

Constructor Detail

### RefSegmentation

    public RefSegmentation(java.lang.String videoName,
                           java.util.Comparator orderingComparator,
                           int totalFrameNumber)

  Constructs Segmentation object with an ordering comparator for its set of transitions.
  Parameters:
    `videoName` - The video name the segmentation is related to.
    `orderingComparator` - The comparator used to order transitions in the set of trnasitions.
    `totalFrameNumber` - The number of frames of the video.

Method Detail

### processComparison

    public comparisonResult processComparison(java.lang.String sysId,
                                              Segmentation systemSegmentation)
                                       throws TransitionDefinitionException

  Process the comparison between the current assumed reference segmentation and the given system segmentation.
  Parameters:
    `sysId` - The system Id of the given system segmentation.
    `systemSegmentation` - The system segmentation to be compared with.
  Returns:
    an object representing all the results (measures...) of the comparison.
  Throws:
    `TransitionDefinitionException` - if the definition of a transition is not correct (pre-frame >= post-frame).

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov